Subject: Re: [PATCH v6] difftool.c: learn a new way start at specified file

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Feb 2021 13:40:15 -0800

"ZheNing Hu via GitGitGadget" <[email-masked]> writes:

> From: ZheNing Hu <[email-masked]>
>
> `git difftool` only allow us to select file to view in turn.
> If there is a commit with many files and we exit in the middle,
> we will have to traverse list again to get the file diff which
> we want to see. Therefore,teach the command an option
> `--skip-to=<path>` to allow the user to say that diffs for earlier
> paths are not interesting (because they were already seen in an
> earlier session) and start this session with the named path.
>
> Signed-off-by: ZheNing Hu <[email-masked]>
> ---
>     difftool.c: learn a new way start at specified file
>     
>      * The patch of the previous version implemented the jump through
>        environment variables. The current version is based on the "diff
>        --skip-to=" feature implemented by gitster, which implements a
>        possible solution for the jump of difftool.

So there was absolutely no need to change anything in difftool,
because it just passes down anything that it does not understand
down to the underlying "git diff"?

Very interesting.

Thanks, will queue.  Let's see if we get comments from others.